Package org.pushingpixels.substance.internal.ui

# Class SubstanceTableUI.TableCellId

java.lang.Object
org.pushingpixels.substance.internal.ui.SubstanceTableUI.TableCellId

All Implemented Interfaces:
  `Comparable<SubstanceTableUI.TableCellId>`

Enclosing class:
  `SubstanceTableUI`

public static class SubstanceTableUI.TableCellId extends Object implements Comparable<SubstanceTableUI.TableCellId>
ID of a single table cell.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`column`
Cell column.
`protected int`
`row`
Cell row.

## Constructor Summary

Constructors
Constructor
Description
`TableCellId(int row, int column)`
Creates a new cell ID.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(SubstanceTableUI.TableCellId o)`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### row

protected int row
Cell row.

### column

protected int column
Cell column.

## Constructor Details

### TableCellId

public TableCellId(int row, int column)
Creates a new cell ID.

Parameters:
  `row` - Cell row.
  `column` - Cell column.

## Method Details

### compareTo

public int compareTo(SubstanceTableUI.TableCellId o)

Specified by:
  `compareTo` in interface `Comparable<SubstanceTableUI.TableCellId>`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`